<?php
/**
 * @package portfoliya
 */

namespace Portfoliya_Pro\Controllers;

use Portfoliya_Pro\Models\Message;

class UserController {

	const PREREQUISITES = array(
		'updateUserInfo' => array(),
		'updateUserPass' => array(),
		'getSocketStats' => array(),
	);

	public static function updateUserInfo( string $first_name, string $last_name, string $display_name ) {
		
		// Update the user information
		wp_update_user(
			array(
				'ID'           => get_current_user_id(),
				'first_name'   => $first_name,
				'last_name'    => $last_name,
				'display_name' => $display_name,
			)
		);

		wp_send_json_success( array( 'message' => 'Account updated successfully!', 'portfoliya' ) );
	}

	/**
	 * Update user pass from user dashboard
	 *
	 * @return void
	 */
	public static function updateUserPass( string $current_password = '', string $new_password = '' ) {

		$user = wp_get_current_user();
		
		if ( $user && wp_check_password( $current_password, $user->data->user_pass ) ) {
			wp_set_password( $new_password, get_current_user_id() );
			wp_send_json_success( array( 'message' => __( 'Password changed successfully', 'portfoliya' ) ) );
		} 
		
		wp_send_json_error( array( 'message' => __( 'Invalid current password', 'portfoliya' ) ) );
	}

	/**
	 * Get unseen counts for message, maybe notification too in future.
	 *
	 * @return void
	 */
	public static function getSocketStats() {
		wp_send_json_success(
			array(
				'message' => Message::getUnseeCount( get_current_user_id() )
			)
		);
	}
}
