<?php
namespace Portfoliya_Pro\Helpers;

use SolidieLib\_Array;
use Portfoliya\Helpers\Utilities as UtilitiesFree;
use Portfoliya\Models\AdminSetting;

class Utilities extends UtilitiesFree {
	
	/**
	 * Check if current page is careers. Add support of sub page check later.
	 *
	 * @return boolean
	 */
	public static function isGalleryPage() {
		return ! is_admin() && is_singular() && get_the_ID() === AdminSetting::getGalleryPageId();
	}

	/**
	 * Get content plans settings
	 *
	 * @param string $content_type
	 * @return array
	 */
	public static function getContentPlanSettings( $content_type ) {

		if ( empty( $content_type ) ) {
			return array();
		}

		$plan_settings = _Array::getArray( AdminSetting::get( "contents.{$content_type}.plans" ) );

		// Assign enable state based on auto enable
		foreach ( $plan_settings as $index => $plan ) {
			$plan_settings[ $index ]['enable'] = $plan['auto_enable'] ?? true;
		}

		return $plan_settings;
	}
}
