import React from "react";
import { createRoot } from "react-dom/client";

import {MountPoint} from 'solidie-materials/mountpoint.jsx';
import { getElementDataSet } from "solidie-materials/helpers.jsx";

import { OrderItemInfo } from "./order-item-info/order-item-info.jsx";
import { WithdrawalsBackend } from "./withdrawals/withdrawals.jsx";
import { ContributorList } from "./contributors/contributor-list.jsx";
import { ReportsPage } from "./reports/index.jsx";

// Show purchased plan info under item in woocommerce order page
const item_info = document.getElementsByClassName('Portfoliya_item_info_in_order_page');
for ( let i=0; i<item_info.length; i++ ) {
	const element = item_info[i];
	createRoot(element).render(<MountPoint>
		<OrderItemInfo {...getElementDataSet(element)}/>
	</MountPoint> )
}

// Backend dashboard withdrawal requests page
const withdrawals = document.getElementById('portfoliya_backend_withdrawal_requests');
if ( withdrawals ) {
	createRoot(withdrawals).render(<MountPoint>
		<WithdrawalsBackend {...getElementDataSet(withdrawals)}/>
	</MountPoint>)
}

// Backend dashboard contributors page
const contributors = document.getElementById('portfoliya_contributor_list_page');
if ( contributors ) {
	createRoot(contributors).render(<MountPoint>
		<ContributorList {...getElementDataSet(contributors)}/>
	</MountPoint>)
}

// Backend dashboard contributors page
const reports = document.getElementById('portfoliya_reports_page');
if ( reports ) {
	createRoot(reports).render(<MountPoint>
		<ReportsPage {...getElementDataSet(reports)}/>
	</MountPoint>)
}
