import React from "react";
import { __, data_pointer, getDashboardPath, sprintf } from "solidie-materials/helpers";

const {
	user: {
		id: user_id
	}={},
	settings: {
		general:{
			contributor_messaging_enable=false
		}={}
	}={}
} = window[data_pointer];

export function ChatStartButton({contributor_id, contributor={}}) {
	
	const {display_name} = contributor;

	return (user_id==contributor_id || !contributor_messaging_enable) ? null : <a 
		className={'d-flex align-items-center justify-content-center column-gap-8 color-material-70 interactive cursor-pointer'.classNames()}
		href={getDashboardPath(`messages/${contributor_id}/`)}
		target="_blank"
	>
		<div className={'d-flex'.classNames()}>
			<i className={'sicon sicon-sms font-size-22'.classNames()}></i>
		</div>
		<div>
			<span className={'font-size-16 font-weight-400 hover-underline'.classNames()}>
				{display_name ? <>{__('Chat with')} <span className={'font-weight-600'.classNames()}>{display_name}</span></> : __('Chat')} 
			</span>
		</div>
	</a>
}
