import React, { useContext, useEffect } from "react";
import { createRoot } from "react-dom/client";

import { data_pointer } from "solidie-materials/helpers";
import { ContextSocket, SocketWrapper } from "../../socket-wrapper";

import * as style from './message-menu.module.scss';


function MessageDotGlobal({anchors}) {
	
	const {stats} = useContext(ContextSocket);

	useEffect(()=>{

		window.jQuery(anchors).each(function(){

			let padding_top   = parseInt( window.getComputedStyle(this).getPropertyValue('padding-top') );
			let padding_right = parseInt( window.getComputedStyle(this).getPropertyValue('padding-right') );

			padding_top   = isNaN(padding_top) ? 0 : padding_top;
			padding_right = isNaN(padding_right) ? 0 : padding_right;
			
			let top   = padding_top - 5;
			let right = padding_right - 5;

			window.jQuery(this)[stats.message ? 'addClass' : 'removeClass']('dot'.classNames(style));
			this.style.setProperty('--solidie-top', top+'px');
			this.style.setProperty('--solidie-right', right+'px');
		});

	}, [stats.message]);

	return null;
}

window.jQuery(document).ready(function($){

	const {messages_path} = window[data_pointer]?.permalinks || {};

	if ( !messages_path ) {
		return;
	}

	let anchors = $(`a[href*="${messages_path}"]`);

	if ( anchors.length ) {
		$('body').append('<div id="portfoliya_messages_portal"></div>');
		createRoot(document.getElementById('portfoliya_messages_portal')).render(
			<SocketWrapper>
				<MessageDotGlobal anchors={anchors}/>
			</SocketWrapper>
		);
	}
});