<?php
/**
 * Plugin Name: Portfoliya
 * Plugin URI: https://wordpress.org/plugins/portfoliya/
 * Description: Multimedia stock plugin to showcase any digital contents like audio, video, image, ebook, apps and so on.
 * Version: 1.1.13
 * Author: Portfoliya
 * Author URI: https://portfoliya.com/
 * Requires at least: 5.3
 * Tested up to: 6.7.1
 * Requires PHP: 7.4
 * License: GPLv3
 * License URI: https://opensource.org/licenses/GPL-3.0
 * Text Domain: portfoliya
 *
 * @package portfoliya
 */

if ( ! defined( 'ABSPATH' ) ) { exit;
}

// Load autoloader
require_once __DIR__ . '/vendor/autoload.php';

$configs = ( new Portfoliya\Main() )->init(
	(object) array(
		'file'           => __FILE__,
		'mode'           => 'production',
		'root_menu_slug' => 'portfoliya',
		'db_prefix'      => 'portfoliya_',
		'current_url'    => ( is_ssl() ? 'https' : 'http' ) . '://' . sanitize_text_field( wp_unslash( $_SERVER['HTTP_HOST'] ?? '' ) ) . sanitize_text_field( wp_unslash( $_SERVER['REQUEST_URI'] ?? '' ) ),
	)
);

(new Portfoliya_Pro\Main())->init( $configs );