<?php
if ( ! defined( 'ABSPATH' ) ) exit;
?><!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title><?php echo get_bloginfo( 'name' ); ?> - <?php esc_html_e( 'Download Error', 'portfoliya' ); ?></title>
		<style>
			body {
				font-family: 'Arial', sans-serif;
				background-color: #f4f4f4;
				color: #333;
				margin: 0;
				padding: 0 20px;
				display: flex;
				align-items: center;
				justify-content: center;
				height: 100vh;
			}

			.error-container {
				text-align: center;
				max-width: 400px;
				padding: 20px;
				background-color: #fff;
				border-radius: 8px;
				box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
			}

			h1 {
				color: #e74c3c;
				margin-bottom: 20px;
			}

			p {
				font-size: 16px;
				line-height: 1.5;
				margin-bottom: 20px;
			}

			a {
				color: #3498db;
				text-decoration: none;
				font-weight: bold;
			}

			a:hover {
				text-decoration: underline;
			}
		</style>
	</head>
	<body>
		<div class="error-container">
			<h1><?php esc_html_e( 'Oops! Something Went Wrong', 'portfoliya' ); ?></h1>
			<p><?php esc_html_e( 'It looks like you do not currently have access to download the file.', 'portfoliya' ); ?></p>
			<a href="<?php echo get_home_url(); ?>"><?php esc_html_e( 'Go to Home Page', 'portfoliya' ); ?></a>
		</div>
	</body>
</html>
